Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибка "libc.so.6: version `GLIBC_2.25' not found"  (Прочитано 572 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Dexel

  • Автор темы
  • Участник
  • *
  • Сообщений: 205
    • Просмотр профиля
    • InteS
Ошибка "libc.so.6: version `GLIBC_2.25' not found"
« : 10 Февраль 2018, 23:04:04 »
Устанавливал libstdc++2.10-glibc2.2_2.95.4-24_i386.deb через dpkg. Тот запросил libc6
Установил libc6_2.24-11+deb9u1_amd64.deb
Но libstdc++2.10-glibc2.2_2.95.4-24_i386.deb всё равно не ставится.
Теперь:
# aptitude update
aptitude: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libudev.so.1)
aptitude: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libuuid.so.1)
Работа делает свободным!

Оффлайн SergeyIT

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 4231
  • Все по палатам!
    • Просмотр профиля
Re: Ошибка "libc.so.6: version `GLIBC_2.25' not found"
« Ответ #1 : 10 Февраль 2018, 23:20:25 »
Устанавливал libstdc++2.10-glibc2.2_2.95.4-24_i386.deb через dpkg. Тот запросил libc6
Установил libc6_2.24-11+deb9u1_amd64.deb
Может в этом проблема - *i386 и *amd64
Извините, я все еще учусь

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25583
    • Просмотр профиля
Re: Ошибка "libc.so.6: version `GLIBC_2.25' not found"
« Ответ #2 : 10 Февраль 2018, 23:30:39 »
Устанавливал libstdc++2.10-glibc2.2_2.95.4-24_i386.deb через dpkg. Тот запросил libc6Установил libc6_2.24-11+deb9u1_amd64.deb
Ставьте через пакетный менеджер. Не смешите людей.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн Dexel

  • Автор темы
  • Участник
  • *
  • Сообщений: 205
    • Просмотр профиля
    • InteS
Re: Ошибка "libc.so.6: version `GLIBC_2.25' not found"
« Ответ #3 : 10 Февраль 2018, 23:40:03 »
# synaptic
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /usr/lib/x86_64-linux-gnu/libvte-2.91.so.0)
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libudev.so.1)
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libuuid.so.1)
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libmount.so.1)
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libsystemd.so.0)
synaptic: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libblkid.so.1)

# reboot
reboot: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/systemd/libsystemd-shared-234.so)
reboot: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libblkid.so.1)
reboot: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libuuid.so.1)
reboot: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /lib/x86_64-linux-gnu/libudev.so.1)
« Последнее редактирование: 10 Февраль 2018, 23:44:32 от Dexel »
Работа делает свободным!

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25583
    • Просмотр профиля
Re: Ошибка "libc.so.6: version `GLIBC_2.25' not found"
« Ответ #4 : 10 Февраль 2018, 23:48:58 »
Угробили систему (что предсказуемо). Починить, конечно, можно, но быстрее будет переустановить.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.068 секунд. Запросов: 24.